0

I'm trying to install MELT plug-in on my linux machine, and I encounter some errors. Following the readme file, I run:

apt-get install gcc-4.7 g++-4.7 make texinfo texi2html autogen gawk
apt-get build-dep gcc-4.7
apt-get install libppl-dev libppl-c-dev gcc-4.7-plugin-dev 

This command finished running with only the few following comments:

Note, selecting 'libppl0.11-dev' instead of 'libppl-dev'
Note, selecting 'libppl0.11-dev' instead of 'libppl-c-dev'

when I run make all I get the following errors:

melt/generated/meltrunsup.h:168: unidentified type `operator'
melt/generated/meltrunsup.h:172: parse error: unmatched ''}'' while scanning for ',' or ';'
melt/generated/meltrunsup.h:196: unidentified type `operator'
melt/generated/meltrunsup.h:200: parse error: unmatched ''}'' while scanning for ',' or ';'
melt/generated/meltrunsup.h:224: unidentified type `operator'
melt/generated/meltrunsup.h:228: parse error: unmatched ''}'' while scanning for ',' or ';'
melt/generated/meltrunsup.h:252: unidentified type `operator'
melt/generated/meltrunsup.h:256: parse error: unmatched ''}'' while scanning for ',' or ';'
melt/generated/meltrunsup.h:280: unidentified type `operator'
melt/generated/meltrunsup.h:284: parse error: unmatched ''}'' while scanning for ',' or ';'
melt/generated/meltrunsup.h:308: unidentified type `operator'
melt/generated/meltrunsup.h:312: parse error: unmatched ''}'' while scanning for ',' or ';'
melt/generated/meltrunsup.h:336: unidentified type `operator'
melt/generated/meltrunsup.h:340: parse error: unmatched ''}'' while scanning for ',' or ';'
melt/generated/meltrunsup.h:364: unidentified type `operator'
melt/generated/meltrunsup.h:368: parse error: unmatched ''}'' while scanning for ',' or ';'
melt/generated/meltrunsup.h:392: unidentified type `operator'
melt/generated/meltrunsup.h:396: parse error: unmatched ''}'' while scanning for ',' or ';'
_melt-runtime.c:971: unidentified type `std'
_melt-runtime.c:971: parse error: expected '(', 'GTY', or an identifier, have ':'
_melt-runtime.c:13698: unidentified type `Melt_CallFrameWithValues'
_melt-runtime.c:13698: parse error: expected '(', 'GTY', or an identifier, have '<'
_melt-runtime.c:13732: unidentified type `Melt_CallFrameWithValues'
_melt-runtime.c:13732: parse error: expected '(', 'GTY', or an identifier, have '<'
make: *** [gt-melt-runtime.h] Error 1

Why do I get this errors? How do I fix them?

edit

full log of commands I run can be found here: log

1

Please ask MELT related questions on the MELT googleforum i.e. on gcc-melt@googlegroups.com; you need to subscribe and I (Basile Starynkevitch) need to accept your subscription.

And give all the output of your building commands. What you are showing is not enough.

I guess that you might need to type

 make all MELTGCC=gcc-4.7 GCCMELT_CXX=g++-4.7

I guess that the errors you are getting is because MELT generated code is incorrectly compiled as C code, and it should be compiled as C++ code (since it is C++ since MELT 1.0). I might be wrong and I cannot explain more, since you did not show all your commands and all their outputs.

I can now reproduce the bug (apparently specific to GCC 4.7) and I'm working on this bug. It is MELT-SFT-6; a bug fix will be announced on gcc-melt@googlegroups.com

addenda

I just announced the MELT 1.0.1 release candidate 1 which should fix the bug. Please download it and report on gcc-melt@googlegroups.com (not here, because I almost never read this Unix.StackExchange forum!) any successes or failures on your system. Thanks.

  • I added a complete log. – elyashiv Nov 5 '13 at 11:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.